Bug 143402 - mod_auth_mysql create an Apache Segmentation fault
mod_auth_mysql create an Apache Segmentation fault
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mod_auth_mysql (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-20 08:42 EST by Stephane HOUEIX
Modified: 2008-02-03 14:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-03 14:03:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephane HOUEIX 2004-12-20 08:42:57 EST
Description of problem:
mod_auth_mysql cause Segmentation fault in Apache

Version-Release number of selected component (if applicable):
mod_auth_mysql-20030510-5

How reproducible:
FC3 x86_64 Fresh full install, no patch (tested w & w/o)

Steps to Reproduce:
1.Create database,table and user as in /etc/httpd/conf.d/auth_mysql.conf
2.Uncomment <Directory /var/www> .... </Directory>
3.restart httpd
4.open http://localhost
  
Actual results:
. Apache stop after successfull auth :
in /var/log/httpd/error_log:
[Mon Dec 20 14:17:12 2004] [notice] child pid 10548 exit signal
Segmentation fault (11)
[Mon Dec 20 14:17:12 2004] [notice] child pid 10554 exit signal
Segmentation fault (11)

Expected results:
The HTML 
use a mysql table to auth users (!)

Additional info:
Hardware Dell PE 2850.
Comment 1 Matthew Miller 2006-07-10 18:00:41 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 petrosyan 2008-02-03 14:03:59 EST
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA", however if you still
experience this problem after updating to our latest Fedora
release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.